Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.config
Class LoginConfig

    java.lang.Object
      org.apache.jmeter.testelement.AbstractTestElement
          org.apache.jmeter.config.ConfigTestElement
              org.apache.jmeter.config.LoginConfig

All Implemented Interfaces:
  Cloneable, ConfigElement, Serializable, TestElement

public class LoginConfig
extends ConfigTestElement
implements Serializable

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.jmeter.config.ConfigTestElement
`PASSWORD, USERNAME`

Fields inherited from interface org.apache.jmeter.testelement.TestElement
`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

Constructor Summary
`LoginConfig()` Constructor for the LoginConfig object.

Method Summary
`String` | `getPassword()` Gets the Password attribute of the LoginConfig object.
`String` | `getUsername()` Gets the Username attribute of the LoginConfig object.
`void` | `setPassword(String password)` Sets the Password attribute of the LoginConfig object.
`void` | `setUsername(String username)` Sets the Username attribute of the LoginConfig object.
`String` | `toString()`

Methods inherited from class org.apache.jmeter.config.ConfigTestElement
`addConfigElement, addTestElement, expectsModification`

Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement
`addProperty, canRemove, clear, clearTemporary, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.jmeter.config.ConfigElement
`clone`

Constructor Detail

### LoginConfig

    public LoginConfig()

  Constructor for the LoginConfig object.

Method Detail

### setUsername

    public void setUsername(String username)

  Sets the Username attribute of the LoginConfig object.

  Parameters:
    `username` - the new Username value

### setPassword

    public void setPassword(String password)

  Sets the Password attribute of the LoginConfig object.

  Parameters:
    `password` - the new Password value

### getUsername

    public String getUsername()

  Gets the Username attribute of the LoginConfig object.

  Returns:
    the Username value

### getPassword

    public String getPassword()

  Gets the Password attribute of the LoginConfig object.

  Returns:
    the Password value

### toString

    public String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.